program BaseCalc;

{************************************************************************
*                                                                       *
*                        Base Calculator Program                        *
*                   Copyright (C) 1997, John Zaitseff                   *
*                                                                       *
************************************************************************}

{ Author:    John Zaitseff <J.Zaitseff@unsw.edu.au>
  Date:      20th December, 1997.
  Version:   1.4

  This file is the main program file for the Base Calculator.  The Base
  Calculator is a base integer calculator (ie, one that operates in
  decimal, hexadecimal, binary or octal), in either 8, 16 or 32 bit size.

  This program is free software, and may be distributed and/or modified
  under the terms of the GNU General Public License as published by the
  Free Software Foundation; either Version 2 of the License or any later
  version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program (in the file LICENSE.TXT); if not, write to:
            Free Software Foundation, Inc.,
            675 Mass Ave, Cambridge, MA 02139, USA.

  Please feel free to send any comments, suggestions, corrections and
  enhancements to:

  Postal:   John Zaitseff,
            4 McCabe Close,
            Menai, NSW, 2234,
            Australia.
  Email:    J.Zaitseff@unsw.edu.au
  Web:      http://biosys12.ee.unsw.edu.au/personal/software/basecalc/

}


{$IFNDEF WIN32}
Error: 'Compile under Borland Delphi for Win32 only (v2 or later).'
{$ENDIF}

{$IFNDEF OPTDEBUG}
{$UNDEF DEBUG}
{$ENDIF}

{$APPTYPE GUI}
{$DESCRIPTION 'Base Calculator'}
{$RESOURCE *.res}

{$A+,B-,H+,J-,O+,P-,T+,U+,V+,W-,X+,Z1}
{$IFDEF DEBUG}
    {$D+,I+,L+,Q+,R+,Y+}
    {$WARNINGS ON}
    {$HINTS ON}
{$ELSE}
    {$D-,I+,L-,Q-,R-,Y-}
    {$WARNINGS ON}
    {$HINTS ON}
{$ENDIF}


uses
  Forms,
  BCalcWin in 'BCalcWin.pas' {BaseCalcWin},
  About in 'About.pas' {AboutWin},
  Value in 'Value.pas' {ValueWin},
  Calc in 'Calc.pas';


begin  { Main }
  Application.Initialize;
  Application.Title := 'Base Calculator';
  Application.HelpFile := 'BASECALC.HLP';
  Application.CreateForm(TBaseCalcWin, BaseCalcWin);
  Application.Run;
end.
